import React, { useMemo } from 'react';
import PropTypes from 'prop-types';
import '../../styles/ProductList.css';

const ProductRow = ({ className = "", image17, shirts, price, onClick, propLeft, propTop }) => {
  const productRowStyle = useMemo(() => {
    return {
      left: propLeft,
      top: propTop,
    };
  }, [propLeft, propTop]);

  return (
    <div
      className={`h-88 w-88 m-0 rounded-lg flex flex-col items-start justify-start py-5 px-0 gap-4 text-center text-3xl border border-gray-700 ${className}`}
      style={productRowStyle}
    >
      <img
        className="w-full h-full object-cover"
        loading="lazy"
        alt={shirts}
        src={image17}
      />
      <div className="w-full flex flex-col items-start py-0 px-5">
        <div className="text-xl mb-2 text-gray-700">
          {shirts}
        </div>
        <div className="text-lg mb-4 text-gray-500">
          ${price}
        </div>
      </div>
      {/* Customize Button */}
      <button
        className="customize-button w-full py-2 px-4 "
        onClick={onClick}
      >
        customize
      </button>
    </div>
  );
};

ProductRow.propTypes = {
  className: PropTypes.string,
  image17: PropTypes.string.isRequired,
  shirts: PropTypes.string.isRequired,
  price: PropTypes.string.isRequired, // Ensure price is a required prop
  onClick: PropTypes.func.isRequired,
  propLeft: PropTypes.any,
  propTop: PropTypes.any,
};

export default ProductRow;
