import React, { useState } from 'react';
import { Link } from 'react-router-dom';
import { FontAwesomeIcon } from '@fortawesome/react-fontawesome';
import { faChevronLeft } from '@fortawesome/free-solid-svg-icons';
import Sidebar from '../sidebar/Sidebar'; 
import '../../styles/Measurements.css';

const StandardMeasurements = () => {
  
  const [selectedSize, setSelectedSize] = useState('medium');

  const handleSizeChange = (event) => {
    setSelectedSize(event.target.value);
  };

  return (
    <div className="flex">
      <Sidebar /> 
      <div className="w-full ml-10 p-2">
        <div className="bg-white p-4 flex items-center">
          <Link to="/setmeasurements"> 
            <FontAwesomeIcon icon={faChevronLeft} />
          </Link>
          <h1 className="ml-4 text-2xl font-medium text-gray-700">standard measurements</h1>
        </div>
        <div className="flex mt-4">
          <img
            src="https://5.imimg.com/data5/HM/AE/VV/SELLER-77211399/white-plain-tshirts.jpg"
            alt="Product"
            className="w-1/3 h-auto mr-4" 
          />
          <div className="w-2/3">
            <p className="text-xl mb-4 text-gray-700">blue aces</p>
            <p className="text-md mb-4 text-gray-600">
              this is a comfortable and stylish blue t-shirt made from high-quality cotton. perfect for casual outings and daily wear.
            </p>
            <p className="text-xl mb-4 text-gray-700">$99.00</p>
            <div className="mb-4 select-container">
              <label htmlFor="size" className="block text-sm font-medium text-gray-700">
                size:
              </label>
              <select
                id="size"
                value={selectedSize}
                onChange={handleSizeChange}
                className="custom-select mt-1 block "
              >
                <option value="s">s</option>
                <option value="m">m</option>
                <option value="l">l</option>
                <option value="xl">xl</option>
                <option value="xxl">xxl</option>
              </select>
            </div>
            <p className="text-xl mb-4 text-gray-700">selected size: {selectedSize}</p> {/* Display selected size */}
            <button className="mt-4 py-2 px-4">
              continue to checkout
            </button>
          </div>
        </div>
      </div>
    </div>
  );
};

export default StandardMeasurements;
