import React, { useEffect, useState } from 'react';
import { useNavigate } from 'react-router-dom';
import Sidebar from '../components/sidebar/Sidebar';
// import '../../styles/EmployeeDashboard.css'; 

const classNames = {
  container: 'dashboard-container',
  content: 'dashboard-content',
  header: 'dashboard-header',
  headerTitle: 'header-title',
  welcomeText: 'welcome-text',
  main: 'dashboard-main',
  mainContent: 'dashboard-main-content',
  image: 'dashboard-image',
  button: 'btn-primary',
};

const EmployeeDashboard = () => {
  const navigate = useNavigate();
  const [userName, setUserName] = useState('');

  useEffect(() => {
    const user = JSON.parse(localStorage.getItem('user'));
    if (user && user.name) {
      setUserName(user.name);
    }
  }, []);

  const handleClick = (link) => {
    navigate(link);
  };

  return (
    <div className={classNames.container}>
      <Sidebar />
      <div className={classNames.content}>
        <header className={classNames.header}>
          <div className="flex items-center">
            <h1 className={classNames.headerTitle}>employee dashboard</h1>
          </div>
          <div>
            <p className={classNames.welcomeText}>welcome back, {userName}</p>
          </div>
        </header>
        <main className={classNames.main}>
          <div className={classNames.mainContent}>
            <img src="https://img.freepik.com/free-photo/well-dressed-businessman-holding-currency-with-confidence-generated-by-ai_188544-16970.jpg?t=st=1722511417~exp=1722515017~hmac=dbe5ab19f8e2c416be4928faac1fc197473166fc4f230d8f46307b84e522ff5a&w=1060" alt="Suit" className={classNames.image} />
            <button
              className={classNames.button}
              onClick={() => handleClick('/customers')}
            >
              create a new order
            </button>
            <button
              className={classNames.button}
              onClick={() => handleClick('')}
            >
              view orders
            </button>
            <button
              className={classNames.button}
              onClick={() => handleClick('')}
            >
              view customers
            </button>
          </div>
        </main>
      </div>
    </div>
  );
};

export default EmployeeDashboard;
